(no commit message)
[wiki.git] / doc / LennyBugsAll
1 = Open RC Bugs in Lenny =
2
3 These are bugs to consider at SIPB's [LennyBugs RC-bug-squashing hackathon] for Lenny.
4
5 Bug list dumped early 2008-12-12.  The pipeline was
6  `$ cd /mit/debathena/debian-bts && ./get_bugs | sort | ./bugs-format-trac`
7
8 Please sort into useful/not useful, add notes, etc.
9
10 = Juicy? =
11
12 Try these!
13
14 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374644 374644] in [http://packages.debian.org/lenny/xine-ui xine-ui]
15 "xine-ui: ctrl/shift key press emulation implementation broken"
16 [[BR]](Note: have patch but it's broken.  Test?  Find a fix?)
17
18 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=426465 426465]
19 in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
20 "/init exports MODPROBE_OPTIONS=-qb"
21 [[BR]](Note: real bug report is near bottom.)
22
23 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476525 476525]
24 in [http://packages.debian.org/lenny/python-hid python-hid]
25 "python-hid: hid module will not import since python policy transition"
26 [[BR]](Note: have patch, looks messy, looks like not-too-hard bug to fix well.)
27
28 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=481072 481072]
29 in [http://packages.debian.org/lenny/dk-filter dk-filter]
30 "dk-filter reliably crashes upon connection from postfix"
31 [[BR]](Note: bug report, little followup.  Test, reproduce, debug, fix.)
32
33 These ones are only about 2 weeks old:
34
35 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507071 507071]
36 in [http://packages.debian.org/lenny/racoon racoon]
37 "racoon - Fails after upgrade: symbol lookup error: /usr/sbin/racoon: undefined symbol: libipsec_opt"
38
39 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507072 507072]
40 in [http://packages.debian.org/lenny/ipsec-tools ipsec-tools]
41 "libipsec0 packaged in ipsec-tools without development headers"
42
43 = Specific hardware =
44
45 If you have the relevant hardware you could help a lot.
46
47 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=394963 394963]
48 in [http://packages.debian.org/lenny/installation-reports installation-reports]
49 "installation: Problems with dual booting Dell D600 with winXP pro in the first partition (hd0, 0). After installing the Dell Etch Beta 3, Windows fails to boot and I get the blue screen of death."
50
51 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=418972 418972]
52 in [http://packages.debian.org/lenny/installation-reports installation-reports]
53 "cdrom: Etch does not detect CD-ROM on Acer Aspire 7100"
54
55 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=478717 478717]
56 in [http://packages.debian.org/lenny/ruby1.9 ruby1.9]
57 "ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault"
58
59 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=499078 499078]
60 in [http://packages.debian.org/lenny/jfsutils jfsutils]
61 "jfsutils: Bus Error when running fsck.jfs on sparc"
62
63 = Examples =
64
65 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496954 496954]
66 in [http://packages.debian.org/lenny/bind9 bind9]
67 "bind9: Fails to start due to SIGSEGV"
68 [[BR]]This bug sat unfixed for months.  Then someone attacked it in a bug-squashing party,
69 got the first reproducible testcase, and sent that upstream, which swiftly produced a fix.
70
71
72 = May be a lot of work =
73
74 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456037 456037]
75 in [http://packages.debian.org/lenny/fenix fenix]
76 "fenix: not 64 bit clean"
77
78 = Puzzling =
79
80 Someone please explain what's going on (Debian Project-wise) in these bugs.
81
82 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=323473 323473]
83 in [http://packages.debian.org/lenny/wnpp wnpp]
84 "ITA: mol-drivers-linux -- The Mac-on-Linux emulator - drivers for Linux"
85 [[BR]](Note: The bug is for someone to take over maintainership.  They did.  Then when the bug gets automatically archived, they reply saying to keep it?  I (price) don't understand.)
86
87
88 = Unclassified =
89
90 Please read these reports and figure out what category they belong in.  Or make a new category.
91
92 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=436140 436140]
93 in [http://packages.debian.org/lenny/installation-reports installation-reports]
94 "cdrom: Most of the system's files have a future timestamp causing at least update/config problems."
95
96 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490171 490171]
97 in [http://packages.debian.org/lenny/rtorrent rtorrent]
98 "rtorrent: random crash"
99
100 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490999 490999]
101 in [http://packages.debian.org/lenny/libqt3-mt libqt3-mt]
102 "kicker: crashes on startup"
103
104 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494293 494293]
105 in [http://packages.debian.org/lenny/installation-reports installation-reports]
106 "installation-reports: Grub error: not a regular file..."
107
108 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495232 495232]
109 in [http://packages.debian.org/lenny/quagga quagga]
110 "quagga: zebra ignores routes added via command line"
111
112 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495603 495603]
113 in [http://packages.debian.org/lenny/installation-reports installation-reports]
114 "grub-installer fails on a FSC Primergy RX300 with a level 5 RAID"
115
116 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496334 496334]
117 in [http://packages.debian.org/lenny/mdadm mdadm]
118 "mdadm segfault on --assemble --force with raid10"
119
120 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497471 497471]
121 in [http://packages.debian.org/lenny/cdimage.debian.org cdimage.debian.org]
122 "sarge images have syslinux binaries without source"
123
124 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500460 500460]
125 in [http://packages.debian.org/lenny/oss-compat oss-compat]
126 "oss-compat: modules are not loaded"
127
128 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501800 501800]
129 in [http://packages.debian.org/lenny/bind9 bind9]
130 "bind9: bind crashes with a list for allow-update"
131
132 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501804 501804]
133 in [http://packages.debian.org/lenny/installation-reports installation-reports]
134 "installation-reports: Lenny b2 install on ThinkPad X61 - fails to detect hard disk"
135
136 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502140 502140]
137 in [http://packages.debian.org/lenny/pam pam]
138 "cannot unlock screen during etch -> lenny transition"
139
140 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502751 502751]
141 in [http://packages.debian.org/lenny/clamav-getfiles clamav-getfiles]
142 "clamav-getfiles: piuparts test fails: eicar.com md5sum mismatch, file needs downloading"
143
144 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503303 503303]
145 in [http://packages.debian.org/lenny/upgrade-reports upgrade-reports]
146 "etch -> lenny minimal chrrot upgrade fails due to Conflicts/Pre-Depends loop"
147
148 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503532 503532]
149 in [http://packages.debian.org/lenny/dbus dbus]
150 "send_requested_reply="true" allows all non-reply messages"
151
152 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503712 503712]
153 in [http://packages.debian.org/lenny/ghostscript ghostscript]
154 "etch->lenny upgrade left the system in broken state"
155
156 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503907 503907]
157 in [http://packages.debian.org/lenny/libwebkit-1.0-1 libwebkit-1.0-1]
158 "epiphany-webkit: Crashes at startup whenever I go to a site."
159
160 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504283 504283]
161 in [http://packages.debian.org/lenny/egroupware-core egroupware-core]
162 "CVE-2007-3215: phpmailer issue (embedded code-copy)"
163
164 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504373 504373]
165 in [http://packages.debian.org/lenny/libtemplate-perl libtemplate-perl]
166 "libtemplate-perl: Upgrade from etch breaks code using DBI plugins"
167
168 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504524 504524]
169 in [http://packages.debian.org/lenny/sun-java6 sun-java6]
170 "AWT_TOOLKIT=MToolkit causes java to segfault on amd64"
171
172 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504626 504626]
173 in [http://packages.debian.org/lenny/nvidia-glx nvidia-glx]
174 "[nvidia-glx] Quietly drops support for several chipsets"
175
176 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504661 504661]
177 in [http://packages.debian.org/lenny/nvidia-glx-legacy-96xx-dev nvidia-glx-legacy-96xx-dev]
178 "nvidia-glx-legacy-96xx-dev: /usr/lib/libGL.so symlink broken"
179
180 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504747 504747]
181 in [http://packages.debian.org/lenny/gnu-fdisk gnu-fdisk]
182 "gnu-fdisk: wipes out MBR when used on GPT partitions"
183
184 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504771 504771]
185 in [http://packages.debian.org/lenny/wordpress wordpress]
186 "wordpress can be subject of delayed attacks via cookies"
187
188 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504918 504918]
189 in [http://packages.debian.org/lenny/network-manager network-manager]
190 "Updating to lenny failed when NetworkManager got updated"
191
192 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504977 504977]
193 in [http://packages.debian.org/lenny/ffmpeg-debian ffmpeg-debian]
194 "ffmpeg-debian: Several security issues"
195
196 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505237 505237]
197 in [http://packages.debian.org/lenny/snmpd snmpd]
198 "/etc/init.d/snmpd start reports error if already running"
199
200 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505563 505563]
201 in [http://packages.debian.org/lenny/icedove icedove]
202 "Mozilla Thunderbird Multiple Vulnerabilities"
203
204 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506057 506057]
205 in [http://packages.debian.org/lenny/splashy splashy]
206 "splashy: Splashy fails to install due to missing default theme"
207
208 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506353 506353]
209 in [http://packages.debian.org/lenny/mailscanner mailscanner]
210 "CVE-2008-5312/3: mailscanner might allow local users to overwrite arbitrary files via a symlink attack"
211
212 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506652 506652]
213 in [http://packages.debian.org/lenny/xml2rfc xml2rfc]
214 "Yet another boilerplate change"
215
216 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506741 506741]
217 in [http://packages.debian.org/lenny/wireshark wireshark]
218 "wireshark: DoS caused by sending a SMTP request with large content"
219
220 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506748 506748]
221 in [http://packages.debian.org/lenny/rtorrent rtorrent]
222 "crash rtorrent by scgi-interface (function: 'fi.get_filename_last')"
223
224 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506853 506853]
225 in [http://packages.debian.org/lenny/libgnutls26 libgnutls26]
226 "libgnutls26: 2.4.2-3 breaks OpenLDAP access"
227
228 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506977 506977]
229 in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
230 "FPC: copyright infringement in pre 2.2.2 sources"
231
232 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507003 507003]
233 in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
234 "initiatorname.iscsi should maybe not be in /etc"
235
236 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507059 507059]
237 in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
238 "initramfs-tools: Wrong check for udevadm in functions"
239
240 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507165 507165]
241 in [http://packages.debian.org/lenny/xine-lib xine-lib]
242 "xine-lib: CVE-2008-5242 heap-based buffer overflow"
243
244 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507184 507184]
245 in [http://packages.debian.org/lenny/xine-lib xine-lib]
246 "xine-lib: CVE-2008-5246 heap overflow"
247
248 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507239 507239]
249 in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
250 "RM: astrolog/stable -- RoQA; orphaned long time, non-free, contains potentially undistributable code"
251
252 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507242 507242]
253 in [http://packages.debian.org/lenny/amule-daemon amule-daemon]
254 "amule-daemon: causes OOM's by leaking lots of memory"
255
256 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507316 507316]
257 in [http://packages.debian.org/lenny/smarty smarty]
258 "smarty: Non-free logo included in package"
259
260
261 = Fresh bugs =
262
263 These are very recent and presumably will get dealt with by the package maintainers without help.
264
265 If you're bored you might look through and see if some are interesting anyway.  Also feel free to draw the line at some other time; I (price) picked December 1, arbitrarily.
266
267
268 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=239111 239111]
269 in [http://packages.debian.org/lenny/grub grub]
270 "Freeze when installing GRUB on XFS boot partition"
271 [[BR]](Note: just re-opened 2008-12-12)
272
273 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507558 507558]
274 in [http://packages.debian.org/lenny/hibernate hibernate]
275 "ignores "LockXLock yes" setting in /etc/hibernate/common.conf (e.g. does not lock the screen)"
276
277 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507576 507576]
278 in [http://packages.debian.org/lenny/xbattbar-acpi xbattbar-acpi]
279 "missing dependency: libconfig"
280
281 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507579 507579]
282 in [http://packages.debian.org/lenny/yocto-reader yocto-reader]
283 "Package installation results in license violation"
284
285
286 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507706 507706]
287 in [http://packages.debian.org/lenny/cdimage.debian.org cdimage.debian.org]
288 "Missing sources for d-i components/kernel of etch-n-half images"
289
290 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507721 507721]
291 in [http://packages.debian.org/lenny/cryptsetup cryptsetup]
292 "cryptsetup: Sometimes initrd ends up missing conf/conf.d/cryptroot file in it"
293
294 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507818 507818]
295 in [http://packages.debian.org/lenny/mldonkey-server mldonkey-server]
296 "mldonkey-server: mlnet does not start, logs syntax error in downloads.ini"
297
298 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507865 507865]
299 in [http://packages.debian.org/lenny/openoffice.org-writer openoffice.org-writer]
300 "openoffice.org-writer: OOo 2.4.x openinig OOo 3 files doesn't show text (2.x implements standard wrong)"
301
302 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507883 507883]
303 in [http://packages.debian.org/lenny/asterisk asterisk]
304 "asterisk: Very frequent segfaults on startup"
305
306 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507889 507889]
307 in [http://packages.debian.org/lenny/mdadm mdadm]
308 "mdadm: initramfs-tools script is broken, system with root on RAID won't boot"
309
310 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507915 507915]
311 in [http://packages.debian.org/lenny/povray povray]
312 "Povray unusable with non-ascii filenames"
313
314 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507927 507927]
315 in [http://packages.debian.org/lenny/acpi-support acpi-support]
316 "Fix suspend-resume in Thinkpad R50e (intel 855gm card)"
317
318 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507944 507944]
319 in [http://packages.debian.org/lenny/xwhois xwhois]
320 "xwhois: segfaults on start in get_servers()"
321
322 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507947 507947]
323 in [http://packages.debian.org/lenny/moodle moodle]
324 "moodle: html2text.php is not DFSG-free"
325
326 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507996 507996]
327 in [http://packages.debian.org/lenny/uim-tcode uim-tcode]
328 "mazegaki conversion cannot be used"
329
330 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508026 508026]
331 in [http://packages.debian.org/lenny/phppgadmin phppgadmin]
332 "phpPgAdmin: Local File Inclusion Vulnerability"
333
334 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508091 508091]
335 in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
336 "maintainer address bounces"
337
338 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508124 508124]
339 in [http://packages.debian.org/lenny/python-m2crypto python-m2crypto]
340 "Yum crashes when setting-up a CentOS chroot OS"
341
342 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508133 508133]
343 in [http://packages.debian.org/lenny/libmad0 libmad0]
344 "audacity: munmap_chunk(): invalid pointer: 0x00000000026f4eb0"
345
346 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508194 508194]
347 in [http://packages.debian.org/lenny/sun-java5 sun-java5]
348 "sun-java5: New upstream release fixes several security issues"
349
350 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508257 508257]
351 in [http://packages.debian.org/lenny/twiki twiki]
352 "CVE-2008-5305: TWiki SEARCH variable allows arbitrary shell command execution"
353
354 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508265 508265]
355 in [http://packages.debian.org/lenny/sysprof-module-source sysprof-module-source]
356 "sysprof-module-source: doesn't compile on AMD64 arch (wrong register names)"
357
358 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508272 508272]
359 in [http://packages.debian.org/lenny/gnome-splashscreen-manager gnome-splashscreen-manager]
360 "gnome-splashscreen-manager: Refuses to start, undefined symbol: gtk_file_system_error_quark"
361
362 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508313 508313]
363 in [http://packages.debian.org/lenny/xine-lib xine-lib]
364 "xine-lib: CVE-2008-5234 heap overflow in atom parsing"
365
366 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508322 508322]
367 in [http://packages.debian.org/lenny/wodim wodim]
368 "wodim: Cannot load media.  Cannot init drive."
369
370 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508324 508324]
371 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
372 "ftp.debian.org: gcc-4.2-base is not really required"
373
374 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508351 508351]
375 in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
376 "open-iscsi: will not install, looking for missing /sys/module/scsi_transport_iscsi/version file"
377
378 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508434 508434]
379 in [http://packages.debian.org/lenny/ipmitool ipmitool]
380 "ipmitool: Several init script problems due to wrong pidfile name"
381
382 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508443 508443]
383 in [http://packages.debian.org/lenny/imagemagick imagemagick]
384 "convert crash on sparc during compilation of djvulibre (work on x86-64)"
385
386 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508480 508480]
387 in [http://packages.debian.org/lenny/iodbc iodbc]
388 "iodbc: Segfaults when asking for the available DSNs"
389
390 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508510 508510]
391 in [http://packages.debian.org/lenny/debget debget]
392 "Can't parse packages.debian.org output anymore"
393
394
395 = Mostly solved? =
396
397 These look like good progress is being made and they'll get fixed soon.
398
399 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=332782 332782]
400 in [http://packages.debian.org/lenny/release-notes release-notes]
401 "release-notes: Where's the license?"
402
403 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475958 475958]
404 in [http://packages.debian.org/lenny/release-notes release-notes]
405 "document procedure to recover from "/dev/hda became /dev/sda" boot failure"
406 [[BR]](Note: looks done, just not closed.)
407
408 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476210 476210]
409 in [http://packages.debian.org/lenny/xbat xbat]
410 "xbat: game elements do not display properly"
411
412 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506883 506883]
413 in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
414 "tuxguitar: hard-codes dependencies on libraries"
415
416 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495178 495178]
417 in [http://packages.debian.org/lenny/libjs-jquery libjs-jquery]
418 "libjs-jquery: Should compile jquery.min.js and jquery.pack.js from jquery.js"
419
420 (this one looks like it'll be removed from Lenny or have amd64 disabled)
421 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507021 507021]
422 in [http://packages.debian.org/lenny/helpdeco helpdeco]
423 "Fails to work on amd64"
424
425 = Flamewars =
426
427 You might enjoy reading these, but they may not be good targets to fix.
428
429 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475737 475737]
430 in [http://packages.debian.org/lenny/otrs2 otrs2]
431 "otrs2 - makes files in /usr writable by non-root"
432
433 For this one, the actual flameware is off the bug report log.
434
435 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497823 497823]
436 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
437 "longstanding DFSG violations in linux-2.6 package"
438
439 = Would have been fun =
440
441 Entertaining to read but sadly already fixed.
442
443 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506961 506961]
444 in auctex
445 "auctex: reuses old logfile on emacsen upgrades, enabling symlink attack"
446
447
448 = Ftpmaster bugs =
449
450 These bugs are probably not good targets because the work involved with them is easy for either the maintainer or ftpmasters to fix.
451
452 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=451628 451628]
453 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
454 "Packages might enter the archive from security without source"
455
456 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506152 506152]
457 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
458 "libept0 should have priority important"
459
460 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507675 507675]
461 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
462 "python2.5 should have priority standard"
463
464 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507678 507678]
465 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
466 "libsqlite3-0 should have priority standard"
467 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507775 507775]
468 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
469 "libkeyutils1 should have priority standard"
470
471 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507778 507778]
472 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
473 "libldap-2.4-2 should have priority standard"
474
475 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507779 507779]
476 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
477 "[Priorities] libustr-1.0-1 -> standard"
478
479 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507780 507780]
480 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
481 "python-sepolgen should have priority standard"
482
483 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507783 507783]
484 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
485 "libxml2 should have priority standard"
486
487 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507784 507784]
488 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
489 "python2.5-minimal should have priority standard"
490
491 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507796 507796]
492 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
493 "libisccfg40 should have priority standard"
494
495 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507797 507797]
496 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
497 "libisccc40 should have priority standard"
498
499 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507798 507798]
500 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
501 "libedit2 should have priority standard"
502
503 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507799 507799]
504 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
505 "libgssglue1 must have priority standard"
506
507 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507800 507800]
508 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
509 "ucf must have priority standard"
510
511 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507801 507801]
512 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
513 "libpci3 must have priority standard"
514